.footer {
    padding: 65px 0 70px;
    background-color: #000000;
    color: #B9B9B9;
    line-height: 26px;

    .container {
        @include flex-col;
        width: 684px;
    }

    @media (max-width: 991px) {
        padding: 55px 0;
    }

    @media (max-width: 660px) {
        padding: 38px 0 47px;
    }
}

.footer__content {
    @include flex-col;
    gap: 30px;

    @media (max-width: 660px) {
        gap: 25px;
    }
}

.footer__title {
    color: #FEFEFE;
}

.footer__text {
    text-align: center;
    line-height: 28px;

    @media (max-width: 768px) {
        &__desktop-scr {
            display: none;
        }
    }

    @media (max-width: 576px) {
        font-size: $medium;
        line-height: 20px;
    }
}

.footer__icons {
    @include flex-row(center);
    gap: 8px;

    .footer__icon {
        height: 34px;
        width: 34px;
        fill: #ffffff;
        transition: transform 0.3s ease-out;

        use {
            fill: #ffffff;
            height: 34px;
            width: 34px;
        }

        &:hover {
            transform: scale(1.15);
        }
    }
}

.footer__contacts {
    @include flex-row(center);
    gap: 2rem;
    letter-spacing: 1px;

    .contact-adres,
    .contact-tel {
        position: relative;

        &::after {
            content: '/';
            position: absolute;
            right: -1.2rem;
        }
    }

    @media (max-width: 900px) {
        @include flex-col;
        line-height: 1;
        font-size: $large;
        gap: 1rem;
    }
}